> ## Documentation Index
> Fetch the complete documentation index at: https://docs.primeintellect.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Clusters



## OpenAPI

````yaml https://api.primeintellect.ai/openapi.json get /api/v1/slurm-clusters/{team_id}
openapi: 3.1.0
info:
  title: PI API
  version: 0.1.0
servers:
  - url: https://api.primeintellect.ai
security: []
paths:
  /api/v1/slurm-clusters/{team_id}:
    get:
      tags:
        - slurm-clusters
      summary: List Clusters
      operationId: list_clusters_api_v1_slurm_clusters__team_id__get
      parameters:
        - name: team_id
          in: path
          required: true
          schema:
            type: string
            title: Team Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SlurmClusterListResponse'
        '401':
          description: Authorization failed
        '422':
          description: Invalid request data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    SlurmClusterListResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/SlurmClusterSummary'
          type: array
          title: Data
      type: object
      required:
        - data
      title: SlurmClusterListResponse
    ErrorResponse:
      properties:
        errors:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Errors
      type: object
      required:
        - errors
      title: ErrorResponse
    SlurmClusterSummary:
      properties:
        id:
          type: string
          title: Id
        primeClusterId:
          type: string
          title: Primeclusterid
        displayName:
          type: string
          title: Displayname
        status:
          $ref: '#/components/schemas/JobStatus'
        gpuType:
          anyOf:
            - type: string
            - type: 'null'
          title: Gputype
        gpuCount:
          type: integer
          title: Gpucount
        createdAt:
          type: string
          format: date-time
          title: Createdat
        startedAt:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Startedat
      type: object
      required:
        - id
        - primeClusterId
        - displayName
        - status
        - gpuCount
        - createdAt
      title: SlurmClusterSummary
    ErrorDetail:
      properties:
        param:
          type: string
          title: Param
        details:
          type: string
          title: Details
      type: object
      required:
        - param
        - details
      title: ErrorDetail
    JobStatus:
      type: string
      enum:
        - PENDING
        - DEPLOYING
        - RUNNING
        - TERMINATING
        - COMPLETED
        - FAILED
        - STOPPED
        - UNKNOWN
        - TOMBSTONED
      title: JobStatus
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.